# eslint-plugin-require-underscore-lodash-import

You must require _ on all lodash imports

## Installation

You'll first need to install [ESLint](http://eslint.org):

```
$ npm i eslint --save-dev
```

Next, install `eslint-plugin-require-underscore-lodash-import`:

```
$ npm install eslint-plugin-require-underscore-lodash-import --save-dev
```

**Note:** If you installed ESLint globally (using the `-g` flag) then you must also install `eslint-plugin-require-underscore-lodash-import` globally.

## Usage

Add `require-underscore-lodash-import` to the plugins section of your `.eslintrc` configuration file. You can omit the `eslint-plugin-` prefix:

```json
{
    "plugins": [
        "require-underscore-lodash-import"
    ]
}
```


Then configure the rules you want to use under the rules section.

```json
{
    "rules": {
        "require-underscore-lodash-import/rule-name": 2
    }
}
```

## Supported Rules

* Fill in provided rules here





