/**
 * @fileoverview You must require _ on all lodash imports
 * @author George Weiler
 */
"use strict";
module.exports = function(context) {
  return {
    ImportDeclaration: function(node) {
      node.specifiers.forEach(function(specifier) {
        if (
          specifier.type == "ImportDefaultSpecifier" &&
          specifier.local.type == "Identifier" &&
          specifier.local.name[0] !== "_"
        ) {
          context.report(
            node,
            "Lodash imports must include '_'",
          );
        }
      });
    },
  };
};

module.exports.schema = [];
